package com.steering.qcm.entity;

/**
 * 数据库表QCM_GP_JUDGE_CHANGE所对应的实体类（生成工具：代码生成工具4.0   访问地址：http://172.16.2.128/tool/）
 * @author tgcx-test   date 2018-08-20
 */
@SuppressWarnings("serial")
public class QcmGpJudgeChangeEntity implements java.io.Serializable {
    /**
     * 改判记录ID(年月日+5位流水号)
     */
    private String judgeId = "";
    /**
     * 改判总支数
     */
    private String actCount = "";
    /**
     * 改判总重量(吨)
     */
    private String actWeight = "";
    /**
     * 判定炉号（改判前）
     */
    private String judgeStoveNo = "";
    /**
     * 物料编码（改判前）
     */
    private String materialNoOld = "";
    /**
     * 物料描述（改判前）
     */
    private String materialNameOld = "";
    /**
     * 钢种代码（改判前）
     */
    private String gradecodeOld = "";
    /**
     * 钢种名称（改判前）
     */
    private String gradenameOld = "";
    /**
     * 直径（改判前）
     */
    private String dimaterOld = "";
    /**
     * 物料编码（改判后）
     */
    private String materialNo = "";
    /**
     * 物料描述（改判后）
     */
    private String materialName = "";
    /**
     * 钢种代码（改判后）
     */
    private String gradecode = "";
    /**
     * 钢种名称（改判后）
     */
    private String gradename = "";
    /**
     * 直径（改判后）
     */
    private String dimater = "";
    /**
     * 申请人
     */
    private String createName = "";
    /**
     * 申请时间
     */
    private String createTime = "";
    /**
     * 一级审批人
     */
    private String submitName = "";
    /**
     * 一级审批时间
     */
    private String submitTime = "";
    /**
     * 二级审批人
     */
    private String agreeName = "";
    /**
     * 二级审批时间
     */
    private String agreeTime = "";
    /**
     * 审批状态(‘0':未审批；'1':一级审批通过；'2':二级审批通过；'3':一级审批不通过；'4':二级审批不通过
     */
    private String agreeFlag = "";
    /**
     * 申请改判说明
     */
    private String createMemo = "";
    /**
     * 一级审批改判说明
     */
    private String submitMemo = "";
    /**
     * 二级审批改判说明
     */
    private String agreeMemo = "";
    /**
     * 有效标志(0:无效；1：有效）
     */
    private String validFlag = "";
    /**
     * 废除人
     */
    private String deleteName = "";
    /**
     * 废除时间
     */
    private String deleteTime = "";
    /**
     * 所属权单位代码
     */
    private String belongCode = "";
    /**
     * 所属权单位
     */
    private String belongName = "";
    /**
     * 熔炼炉号
     */
    private String stoveNo = "";
    /**
     * 判定炉号（改判后）
     */
    private String judgeStoveNoGp = "";
    /**
     * 轧管订单编号(改判后)
     */
    private String proPlanId = "";
    /**
     * 排产序号(改判后)
     */
    private String gxPlanNo = "";
    /**
     * 成分标准索引号集合(内控)(改判后)
     */
    private String cic = "";

    /**
     * 改判记录ID(年月日+5位流水号)
     * @return value
     */
    public String getJudgeId() {
        return judgeId;
    }

    /**
     * 改判记录ID(年月日+5位流水号)
     * @param judgeId value
     */
    public void setJudgeId(String judgeId) {
        this.judgeId = judgeId;
    }

    /**
     * 改判总支数
     * @return value
     */
    public String getActCount() {
        return actCount;
    }

    /**
     * 改判总支数
     * @param actCount value
     */
    public void setActCount(String actCount) {
        this.actCount = actCount;
    }

    /**
     * 改判总重量(吨)
     * @return value
     */
    public String getActWeight() {
        return actWeight;
    }

    /**
     * 改判总重量(吨)
     * @param actWeight value
     */
    public void setActWeight(String actWeight) {
        this.actWeight = actWeight;
    }

    /**
     * 判定炉号（改判前）
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号（改判前）
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 物料编码（改判前）
     * @return value
     */
    public String getMaterialNoOld() {
        return materialNoOld;
    }

    /**
     * 物料编码（改判前）
     * @param materialNoOld value
     */
    public void setMaterialNoOld(String materialNoOld) {
        this.materialNoOld = materialNoOld;
    }

    /**
     * 物料描述（改判前）
     * @return value
     */
    public String getMaterialNameOld() {
        return materialNameOld;
    }

    /**
     * 物料描述（改判前）
     * @param materialNameOld value
     */
    public void setMaterialNameOld(String materialNameOld) {
        this.materialNameOld = materialNameOld;
    }

    /**
     * 钢种代码（改判前）
     * @return value
     */
    public String getGradecodeOld() {
        return gradecodeOld;
    }

    /**
     * 钢种代码（改判前）
     * @param gradecodeOld value
     */
    public void setGradecodeOld(String gradecodeOld) {
        this.gradecodeOld = gradecodeOld;
    }

    /**
     * 钢种名称（改判前）
     * @return value
     */
    public String getGradenameOld() {
        return gradenameOld;
    }

    /**
     * 钢种名称（改判前）
     * @param gradenameOld value
     */
    public void setGradenameOld(String gradenameOld) {
        this.gradenameOld = gradenameOld;
    }

    /**
     * 直径（改判前）
     * @return value
     */
    public String getDimaterOld() {
        return dimaterOld;
    }

    /**
     * 直径（改判前）
     * @param dimaterOld value
     */
    public void setDimaterOld(String dimaterOld) {
        this.dimaterOld = dimaterOld;
    }

    /**
     * 物料编码（改判后）
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 物料编码（改判后）
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 物料描述（改判后）
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 物料描述（改判后）
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 钢种代码（改判后）
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码（改判后）
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称（改判后）
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称（改判后）
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 直径（改判后）
     * @return value
     */
    public String getDimater() {
        return dimater;
    }

    /**
     * 直径（改判后）
     * @param dimater value
     */
    public void setDimater(String dimater) {
        this.dimater = dimater;
    }

    /**
     * 申请人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 申请人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 申请时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 申请时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 一级审批人
     * @return value
     */
    public String getSubmitName() {
        return submitName;
    }

    /**
     * 一级审批人
     * @param submitName value
     */
    public void setSubmitName(String submitName) {
        this.submitName = submitName;
    }

    /**
     * 一级审批时间
     * @return value
     */
    public String getSubmitTime() {
        return submitTime;
    }

    /**
     * 一级审批时间
     * @param submitTime value
     */
    public void setSubmitTime(String submitTime) {
        this.submitTime = submitTime;
    }

    /**
     * 二级审批人
     * @return value
     */
    public String getAgreeName() {
        return agreeName;
    }

    /**
     * 二级审批人
     * @param agreeName value
     */
    public void setAgreeName(String agreeName) {
        this.agreeName = agreeName;
    }

    /**
     * 二级审批时间
     * @return value
     */
    public String getAgreeTime() {
        return agreeTime;
    }

    /**
     * 二级审批时间
     * @param agreeTime value
     */
    public void setAgreeTime(String agreeTime) {
        this.agreeTime = agreeTime;
    }

    /**
     * 审批状态(‘0':未审批；'1':一级审批通过；'2':二级审批通过；'3':一级审批不通过；'4':二级审批不通过
     * @return value
     */
    public String getAgreeFlag() {
        return agreeFlag;
    }

    /**
     * 审批状态(‘0':未审批；'1':一级审批通过；'2':二级审批通过；'3':一级审批不通过；'4':二级审批不通过
     * @param agreeFlag value
     */
    public void setAgreeFlag(String agreeFlag) {
        this.agreeFlag = agreeFlag;
    }

    /**
     * 申请改判说明
     * @return value
     */
    public String getCreateMemo() {
        return createMemo;
    }

    /**
     * 申请改判说明
     * @param createMemo value
     */
    public void setCreateMemo(String createMemo) {
        this.createMemo = createMemo;
    }

    /**
     * 一级审批改判说明
     * @return value
     */
    public String getSubmitMemo() {
        return submitMemo;
    }

    /**
     * 一级审批改判说明
     * @param submitMemo value
     */
    public void setSubmitMemo(String submitMemo) {
        this.submitMemo = submitMemo;
    }

    /**
     * 二级审批改判说明
     * @return value
     */
    public String getAgreeMemo() {
        return agreeMemo;
    }

    /**
     * 二级审批改判说明
     * @param agreeMemo value
     */
    public void setAgreeMemo(String agreeMemo) {
        this.agreeMemo = agreeMemo;
    }

    /**
     * 有效标志(0:无效；1：有效）
     * @return value
     */
    public String getValidFlag() {
        return validFlag;
    }

    /**
     * 有效标志(0:无效；1：有效）
     * @param validFlag value
     */
    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    /**
     * 废除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 废除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 废除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 废除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 所属权单位代码
     * @return value
     */
    public String getBelongCode() {
        return belongCode;
    }

    /**
     * 所属权单位代码
     * @param belongCode value
     */
    public void setBelongCode(String belongCode) {
        this.belongCode = belongCode;
    }

    /**
     * 所属权单位
     * @return value
     */
    public String getBelongName() {
        return belongName;
    }

    /**
     * 所属权单位
     * @param belongName value
     */
    public void setBelongName(String belongName) {
        this.belongName = belongName;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号（改判后）
     * @return value
     */
    public String getJudgeStoveNoGp() {
        return judgeStoveNoGp;
    }

    /**
     * 判定炉号（改判后）
     * @param judgeStoveNoGp value
     */
    public void setJudgeStoveNoGp(String judgeStoveNoGp) {
        this.judgeStoveNoGp = judgeStoveNoGp;
    }

    /**
     * 轧管订单编号(改判后)
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 轧管订单编号(改判后)
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 排产序号(改判后)
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 排产序号(改判后)
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 成分标准索引号集合(内控)(改判后)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分标准索引号集合(内控)(改判后)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }
}
